api/v1/customer/news-updates

GET

/api/v1/customer/news-updates

This API method will retrieve all of the current news items that occurred for a specific customer's activity, team activity or promotions.

Possible Types

TypeDescription
ManualNews Entry Manually Entered
New CampaignNew Campaign Added
Campaign CompletionCustomer Triggered a Campaign
Customer PointsCustomer Earned Points
Team PointsTeam Points Earned from Purchases
Member JoinedTeam Member Accepted Join Request
Customer ReceiptReceipt For Purchase (Made by Purchasing Customer)
Badge EarnedCustomer Earned a Badge (Pending)
Level UpIncreased Customer Level (Pending)
Campaign Team EarnedEarnings from Team Shared for Recommendation of Campaign
Friend Request AcceptedFriend request gets accepted by alternative customer

Request Parameters

ParameterValue / TypeRequired
per_pageINTEGER (DEFAULT 50)false
pageINTEGER (DEFAULT 1)false

Sample Response

{
  "status": true,
  "items": [
    {
      "id": "LZWBJx0PmYkEwjGdr2vO",
      "campaign_id": "dnbPV7yRzv3EWaX1GKZv",
      "account_id": "l6yYk1WOeo7e2b78dD4j",
      "customer_id": "LZWBJx0PmYkEwjGdr2vO",
      "customer_avatar": "http:\/\/controlcenter.ftx\/customer\/images\/default-avatars\/dnbPV7yRzv3EWaX1GKZv?v=1528934256",
      "alt_customer_id": null,
      "alt_customer_avatar": null,
      "alt_customer_total_balance": 0,
      "receipt_id": "LZWBJx0PmYdXewjGdr2v",
      "type": "Campaign Completion",
      "title": "Campaign Completed!",
      "description": "Congrats, you just completed a campaign! You just earned 1,000 points. Tap to view details",
      "full_description": "",
      "image": "http:\/\/controlcenter.ftx\/stores\/34\/chain-logo",
      "start_time": null,
      "end_time": null,
      "always_show": 1,
      "created_at": "2018-06-21 11:41:15",
      "store_image": "http:\/\/controlcenter.ftx\/stores\/34\/chain-logo",
      "store_name": "Store Name A",
      "campaign_name": "Campaign for 150 Pts",
      "total_receipt_items": "2"
    },
    {
      "id": "QD59AxOJm2MenXb14Pw7",
      "campaign_id": null,
      "account_id": "l6yYk1WOeo7e2b78dD4j",
      "customer_id": "LZWBJx0PmYkEwjGdr2vO",
      "customer_avatar": "http:\/\/controlcenter.ftx\/customer\/images\/default-avatars\/dnbPV7yRzv3EWaX1GKZv?v=1528934256",
      "alt_customer_id": null,
      "alt_customer_avatar": null,
      "alt_customer_total_balance": 0,
      "receipt_id": "LZWBJx0PmYdXewjGdr2v",
      "type": "Customer Receipt",
      "title": "Customer Receipt",
      "description": "Thanks for your purchase of $999.99! Your new balance is 269,564 points. Tap to view receipt.",
      "full_description": "",
      "image": "http:\/\/controlcenter.ftx\/stores\/34\/chain-logo",
      "start_time": null,
      "end_time": null,
      "always_show": 1,
      "created_at": "2018-06-21 11:41:15",
      "store_image": "http:\/\/controlcenter.ftx\/stores\/34\/chain-logo",
      "store_name": "Store Name B",
      "campaign_name": null,
      "total_receipt_items": "0"
    },
    {
      "id": "dnbPV7yRzv3EWaX1GKZv",
      "campaign_id": null,
      "account_id": "l6yYk1WOeo7e2b78dD4j",
      "customer_id": null,
      "customer_avatar": null,
      "alt_customer_id": "dnbPV7yRzv3EWaX1GKZv",
      "alt_customer_avatar": "http:\/\/controlcenter.ftx\/customer\/images\/default-avatars\/14?v=1530460011",
      "alt_customer_total_balance": 0,
      "receipt_id": null,
      "type": "Member Joined",
      "title": "Team Member Joined",
      "description": "Member A Joined Your Team",
      "full_description": "",
      "image": "http:\/\/controlcenter.ftx\/stores\/34\/chain-logo",
      "start_time": null,
      "end_time": null,
      "always_show": 1,
      "created_at": "2018-07-02 07:17:50",
      "store_id": "l6yYk1WOeo7e2b78dD4j",
      "store_name": "Smokers Choice",
      "store_image": "http:\/\/controlcenter.ftx\/stores\/34\/chain-logo",
      "campaign_name": null,
      "total_receipt_items": "-2",
      "recent_customers": [
        {
          "id": "LZWBJx0PmYkEwjGdr2vO",
          "name": "Steve Phillip",
          "total_balance": 12.00,
          "join_date": "2018-06-28 21:59:44",
          "avatar": "http:\/\/controlcenter.ftx\/customer\/images\/default-avatars\/14?v=1530460011",
          "customer_descrption": "Customer Description"
        },
        {
          "id": "LZWBJx0PmYkEwjGdr2vO",
          "name": "Aaron Smith",
          "total_balance": 2009.00,
          "join_date": "2018-06-28 21:59:44",
          "avatar": "http:\/\/controlcenter.ftx\/customer\/images\/default-avatars\/14?v=1530460011",
          "customer_descrption": "Customer Description"
        },
        {
          "id": "LZWBJx0PmYkEwjGdr2vO",
          "name": "Phill Morris",
          "total_balance": 209,
          "join_date": "2018-06-28 21:59:44",
          "avatar": "http:\/\/controlcenter.ftx\/customer\/images\/default-avatars\/14?v=1530460011",
          "customer_descrption": "Customer Description"
        }
      ]
    }
  ]
}
{
  "status": false,
  "errorCode": "VALIDATION_EXCEPTION",
  "messages": {
    "per_page": [
      "The per page must be a number."
    ]
  }
}
{
  "status": false,
  "errorCode": "NO_ITEMS",
  "message": "No items exist under your account"
}